// JScript 文件
  //广告位管理验证是否为空和是否为有效输入数据
function check(){  
    var widthValue=document.getElementById("TxB_Width").value.replace(/\D/g,'');
    var heightvlue=document.getElementById("TxB_Length").value.replace(/\D/g,'');
    var markvlue=document.getElementById("TxB_mark").value.replace(/\D/g,'');
    if(document.getElementById("TxB_name").value==""){
        alert("广告位名称不能为空");
        document.getElementById("TxB_name").focus();
        return false;
    }else if(document.getElementById("TxB_Width").value==""){
        alert("广告位宽度不能为空");
        document.getElementById("TxB_Width").focus();
        return false;
    }else if(document.getElementById("TxB_Width").value!=widthValue){
        alert("广告位宽度必须为整数");
        document.getElementById("TxB_Width").focus();
        return false;
    } else if(document.getElementById("TxB_Length").value==""){
        alert("广告位高度不能为空");
        document.getElementById("TxB_Length").focus();
        return false;
    } else if(document.getElementById("TxB_Length").value!=heightvlue){
        alert("广告位宽度必须为整数");
        document.getElementById("TxB_Length").focus();
        return false;
    }else if(document.getElementById("TxB_mark").value==""){
        alert("广告位价格不能为空");
        document.getElementById("TxB_mark").focus();
        return false;
    } else if(document.getElementById("TxB_mark").value!=markvlue){
        alert("广告位价格必须为整数");
        document.getElementById("TxB_mark").focus();
        return false;
    } 
    return true;   
 }    
//会员与管理员添加和编辑广告验证
function UserAd(){
    var dayvlue=document.getElementById("TxB_Day").value.replace(/\D/g,'');
    
    if(document.getElementById("txt_AdMName").value==""){
        alert("广告名称不能为空");
        document.getElementById("txt_AdMName").focus();
        return false;
    } else if(document.getElementById("TxB_Image").value==""){
        alert("广告图片不能为空");
        document.getElementById("TxB_Image").focus();
        return false;
    } else if(document.getElementById("TxB_Adrees").value==""){
        alert("图片链接地址不能为空");
        document.getElementById("TxB_Adrees").focus();
        return false;
    }else if(document.getElementById("TxB_Day").value==""){
        alert("申请天数不能为空");
        document.getElementById("TxB_Day").focus();
        return false; 
    }else if(document.getElementById("TxB_Day").value!=dayvlue){
        alert("申请天数必须为整数");
        document.getElementById("TxB_Day").focus();
        return false; 
    }else if(document.getElementById("TxB_word").value==""){
        alert("提示文字不能为空");
        document.getElementById("TxB_word").focus();
        return false;
    }else{ 
        var urlreg=/http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w- .\/?%&=]*)?/
        var url=document.getElementById("TxB_Adrees").value
        if (!urlreg.test(url)){
            alert("图片链接地址格式不正确");
            return false;
        }
    }  
    return true;
}

//上传隐藏js
function di(){
    document.getElementById("df").style.display="block";
    return false;
}
